## prometheus-nginx-exporter 0.1.0

=== Makefile ===
VERSION = 0.1.0
PREFIX = nginx-prometheus-exporter
TAG = $(VERSION)
GIT_COMMIT = $(shell git rev-parse --short HEAD)

test:
	go test ./...

container:
	docker build --build-arg VERSION=$(VERSION) --build-arg GIT_COMMIT=$(GIT_COMMIT) -t $(PREFIX):$(TAG) . 

push: container
	docker push $(PREFIX):$(TAG)

=== debian/changelog ===
prometheus-nginx-exporter (0.1.0-1) unstable; urgency=medium

  * Initial release. Closes: #911942.

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Wed, 24 Oct 2018 11:58:40 +0200

=== debian/control ===
Source: prometheus-nginx-exporter
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@profitbricks.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-go
Standards-Version: 4.2.1
Homepage: https://github.com/nginxinc/nginx-prometheus-exporter
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git
XS-Go-Import-Path: github.com/nginxinc/nginx-prometheus-exporter

Package: prometheus-nginx-exporter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for NGINX webservers
 Official Prometheus exporter for NGINX, developed by NGINX, Inc. This exporter
 supports the NGINX stub_status handler, as well as the NGINX Plus API, and
 exposes metrics such as number of current requests and total requests served.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BINNAME := $(DEB_SOURCE)
BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/nginx-prometheus-exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nginx-prometheus-exporter-$1\.tar\.gz/ \
  https://github.com/nginxinc/nginx-prometheus-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-nginx-exporter 0.5.0%2Bds

=== Makefile ===
VERSION = 0.5.0
PREFIX = nginx/nginx-prometheus-exporter
TAG = $(VERSION)
GIT_COMMIT = $(shell git rev-parse --short HEAD)

BUILD_DIR = build_output

nginx-prometheus-exporter: test
	GO111MODULE=on CGO_ENABLED=0 go build -mod=vendor -installsuffix cgo -ldflags "-X main.version=$(VERSION) -X main.gitCommit=$(GIT_COMMIT)" -o nginx-prometheus-exporter

lint:
	golangci-lint run

test:
	GO111MODULE=on go test -mod=vendor ./...

container:
	docker build --build-arg VERSION=$(VERSION) --build-arg GIT_COMMIT=$(GIT_COMMIT) -t $(PREFIX):$(TAG) .

push: container
	docker push $(PREFIX):$(TAG)

$(BUILD_DIR)/nginx-prometheus-exporter-linux-amd64:
	GO111MODULE=on GOARCH=amd64 CGO_ENABLED=0 GOOS=linux go build -mod=vendor -installsuffix cgo -ldflags "-X main.version=$(VERSION) -X main.gitCommit=$(GIT_COMMIT)" -o $(BUILD_DIR)/nginx-prometheus-exporter-linux-amd64

$(BUILD_DIR)/nginx-prometheus-exporter-linux-i386:
	GO111MODULE=on GOARCH=386 CGO_ENABLED=0 GOOS=linux go build -mod=vendor -installsuffix cgo -ldflags "-X main.version=$(VERSION) -X main.gitCommit=$(GIT_COMMIT)" -o $(BUILD_DIR)/nginx-prometheus-exporter-linux-i386

release: $(BUILD_DIR)/nginx-prometheus-exporter-linux-amd64 $(BUILD_DIR)/nginx-prometheus-exporter-linux-i386
	mv $(BUILD_DIR)/nginx-prometheus-exporter-linux-amd64 $(BUILD_DIR)/nginx-prometheus-exporter && \
	tar czf $(BUILD_DIR)/nginx-prometheus-exporter-$(TAG)-linux-amd64.tar.gz -C $(BUILD_DIR) nginx-prometheus-exporter && \
	rm $(BUILD_DIR)/nginx-prometheus-exporter

	mv $(BUILD_DIR)/nginx-prometheus-exporter-linux-i386 $(BUILD_DIR)/nginx-prometheus-exporter && \
	tar czf $(BUILD_DIR)/nginx-prometheus-exporter-$(TAG)-linux-i386.tar.gz -C $(BUILD_DIR) nginx-prometheus-exporter && \
	rm $(BUILD_DIR)/nginx-prometheus-exporter

	shasum -a 256 $(BUILD_DIR)/nginx-prometheus-exporter-$(TAG)-linux-amd64.tar.gz $(BUILD_DIR)/nginx-prometheus-exporter-$(TAG)-linux-i386.tar.gz|sed "s|$(BUILD_DIR)/||" > $(BUILD_DIR)/sha256sums.txt

clean:
	-rm $(BUILD_DIR)/nginx-prometheus-exporter-$(TAG)-linux-amd64.tar.gz
	-rm $(BUILD_DIR)/nginx-prometheus-exporter-$(TAG)-linux-i386.tar.gz
	-rm $(BUILD_DIR)/sha256sums.txt
	-rmdir $(BUILD_DIR)
	-rm nginx-prometheus-exporter

=== debian/changelog ===
prometheus-nginx-exporter (0.5.0+ds-2) unstable; urgency=medium

  * d/postinst: Don't create homedir for user, since it is shared by
    prometheus package and not actually required by this exporter (fixes
    piuparts error).

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 15 Jan 2020 12:37:14 +0100

prometheus-nginx-exporter (0.5.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 13 Jan 2020 10:29:48 +0000

prometheus-nginx-exporter (0.4.2+ds-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add zone sync metrics support.
  * Retry connection to NGINX if it is unreachable.

  [ Yuval Freund ]
  * debian/service: Start after nginx service.

  [ Martina Ferrari ]
  * Add +ds suffix to version number, as the source has been repackaged to
    remove vendored libraries.
  * debian/watch: Add version mangling.
  * Add debian/gbp.conf to document repo structure.
  * Automated cme fixes.
  * debian/control: Bump compat level to 12 with no changes.
  * debian/copyright: Fix Files-Excluded.

 -- Martina Ferrari <tincho@debian.org>  Wed, 06 Nov 2019 00:39:59 +0000

prometheus-nginx-exporter (0.3.0+ds-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Implement nginx_up and nginxplus_up metrics.
  * Add nginxexporter_build_info metric.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Thu, 01 Aug 2019 15:47:37 +0200

prometheus-nginx-exporter (0.2.0+ds-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add stream metrics support.
  * Add a flag for controlling SSL verification of NGINX stub_status/API
    endpoint.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Thu, 01 Aug 2019 13:58:25 +0200

## prometheus-nginx-exporter 0.5.0+ds

=== debian/changelog ===
prometheus-nginx-exporter (0.5.0+ds-2ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:01:42 +0200

=== debian/control ===
Source: prometheus-nginx-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-go,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git
Homepage: https://github.com/nginxinc/nginx-prometheus-exporter
XS-Go-Import-Path: github.com/nginxinc/nginx-prometheus-exporter

Package: prometheus-nginx-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for NGINX webservers
 Official Prometheus exporter for NGINX, developed by NGINX, Inc. This exporter
 supports the NGINX stub_status handler, as well as the NGINX Plus API, and
 exposes metrics such as number of current requests and total requests served.

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 
 BINNAME := $(DEB_SOURCE)
 BUILDDIR := $(CURDIR)/build
+BUILDFLAGS := -ldflags "-X main.version=$(DEB_VERSION)"
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	mv -v $(BUILDDIR)/bin/nginx-prometheus-exporter $(BUILDDIR)/bin/$(BINNAME)

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nginx-prometheus-exporter-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/nginxinc/nginx-prometheus-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-nginx-exporter 0.6.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,17 @@
-VERSION = 0.5.0
+VERSION = 0.6.0
+TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter
-TAG = $(VERSION)
+
+DOCKERFILEPATH = build
+DOCKERFILE = Dockerfile
+
 GIT_COMMIT = $(shell git rev-parse --short HEAD)
 
 BUILD_DIR = build_output
 
-nginx-prometheus-exporter: test
+export DOCKER_BUILDKIT = 1
+
+nginx-prometheus-exporter:
 	GO111MODULE=on CGO_ENABLED=0 go build -mod=vendor -installsuffix cgo -ldflags "-X main.version=$(VERSION) -X main.gitCommit=$(GIT_COMMIT)" -o nginx-prometheus-exporter
 
 lint:
@@ -15,7 +21,7 @@
 	GO111MODULE=on go test -mod=vendor ./...
 
 container:
-	docker build --build-arg VERSION=$(VERSION) --build-arg GIT_COMMIT=$(GIT_COMMIT) -t $(PREFIX):$(TAG) .
+	docker build --build-arg VERSION=$(VERSION) --build-arg GIT_COMMIT=$(GIT_COMMIT) -f $(DOCKERFILEPATH)/$(DOCKERFILE) -t $(PREFIX):$(TAG) .
 
 push: container
 	docker push $(PREFIX):$(TAG)

=== debian/changelog ===
prometheus-nginx-exporter (0.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Standards-Version (rename systemd service file).
  * d/copyright: Update legal company name.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 26 Feb 2020 12:16:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-nginx-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -9,7 +8,7 @@
                dh-golang,
                golang-github-prometheus-client-golang-dev,
                golang-go,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git

## prometheus-nginx-exporter 0.8.0%2Bds

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nginx-prometheus-exporter-$1\.tar\.gz/,\
     uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
     dversionmangle=s/\+ds\d*$// \
  https://github.com/nginxinc/nginx-prometheus-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-nginx-exporter 0.8.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.6.0
+VERSION = 0.8.0
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter

=== debian/changelog ===
prometheus-nginx-exporter (0.8.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing slashes and globs from Files-Excluded field
  * Build-Depend on golang-any instead of golang-go

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 23:45:29 +0100

prometheus-nginx-exporter (0.8.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * New upstream release. Closes: #976904
  * Update maintainer email address
  * Add new / missing golang-github-prometheus-common-dev build-dep
  * d/control: add Pre-Depends, don't override dh_installinit
  * Add upstream metadata info

  [ Guillem Jover ]
  * Indent debian/watch opts contents

 -- Guillem Jover <gjover@sipwise.com>  Mon, 25 Jan 2021 19:08:27 +0100

prometheus-nginx-exporter (0.6.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Use '' instead of `' in text
  * Add systemd service Restart directive set to on-failure
  * Remove error suppression from postinst
  * Add missing dependency on adduser
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Run adduser unconditionally
  * Fix man page formatting
  * Add a sysvinit init script
  * Switch to debhelper-compat 13
  * Add a postrm script to cleanup pidfile and log files on purge
  * Move note about license location on Debian systems into a Comment field
  * Add a logrotate fragment file
  * Update and unify default file (Closes: #953653)
  * Update copyright claims
  * Set builddir to _build to not collide with source directory
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: prometheus-nginx-exporter
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               golang-any,
                golang-github-prometheus-client-golang-dev,
-               golang-go,
-Standards-Version: 4.5.0
+               golang-github-prometheus-common-dev,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git
@@ -17,7 +18,9 @@
 
 Package: prometheus-nginx-exporter
 Architecture: any
-Depends: ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends},
+Depends: adduser,
+         ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for NGINX webservers

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 BINNAME := $(DEB_SOURCE)
-BUILDDIR := $(CURDIR)/build
+BUILDDIR := $(CURDIR)/_build
 BUILDFLAGS := -ldflags "-X main.version=$(DEB_VERSION)"
 
 %:
@@ -15,6 +15,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-
-override_dh_installinit:
-	dh_installinit --noscripts

## prometheus-nginx-exporter 0.10.0

=== Makefile ===
VERSION = 0.10.0
TAG = $(VERSION)
PREFIX = nginx/nginx-prometheus-exporter

DOCKERFILEPATH = build
DOCKERFILE = Dockerfile

GIT_COMMIT = $(shell git rev-parse HEAD)
DATE = $(shell date -u +"%Y-%m-%dT%H:%M:%SZ")

export DOCKER_BUILDKIT = 1

.PHONY: nginx-prometheus-exporter
nginx-prometheus-exporter:
	CGO_ENABLED=0 go build -trimpath -ldflags "-s -w -X main.version=$(VERSION) -X main.commit=$(GIT_COMMIT) -X main.date=$(DATE)" -o nginx-prometheus-exporter

.PHONY: build-goreleaser
build-goreleaser: ## Build all binaries using GoReleaser
	@goreleaser -v || (code=$$?; printf "\033[0;31mError\033[0m: there was a problem with GoReleaser. Follow the docs to install it https://goreleaser.com/install\n"; exit $$code)
	GOPATH=$(shell go env GOPATH) goreleaser build --rm-dist --snapshot

.PHONY: lint
lint:
	docker run --pull always --rm -v $(shell pwd):/nginx-prometheus-exporter -w /nginx-prometheus-exporter -v $(shell go env GOCACHE):/cache/go -e GOCACHE=/cache/go -e GOLANGCI_LINT_CACHE=/cache/go -v $(shell go env GOPATH)/pkg:/go/pkg golangci/golangci-lint:latest golangci-lint --color always run

.PHONY: test
test:
	go test ./...

.PHONY: container
container:
	docker build --build-arg VERSION=$(VERSION) --build-arg GIT_COMMIT=$(GIT_COMMIT) --build-arg DATE=$(DATE) --target container -f $(DOCKERFILEPATH)/$(DOCKERFILE) -t $(PREFIX):$(TAG) .

.PHONY: push
push: container
	docker push $(PREFIX):$(TAG)

.PHONY: deps
deps:
	@go mod tidy && go mod verify && go mod download

.PHONY: clean
clean:
	-rm -r dist
	-rm nginx-prometheus-exporter

=== debian/changelog ===
prometheus-nginx-exporter (0.10.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:07:03 +0000

prometheus-nginx-exporter (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove no longer needed Files-Excluded from debian/copyright.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 27 Dec 2021 20:23:52 +0100

prometheus-nginx-exporter (0.9.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add gitlab-ci.yml file.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Add Repository-Browse field to upstream metadata file.
  * Update File-Excludes to exclude all vendor files.
  * Add golang-github-nginxinc-nginx-plus-go-client-dev to Build-Depends.
  * Update man page and default file for new upstream release.
  * Update copyright file for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 13 Dec 2021 18:50:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: prometheus-nginx-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
+               golang-github-nginxinc-nginx-plus-go-client-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git

## prometheus-nginx-exporter 0.11.0

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,10 @@
-VERSION = 0.10.0
+VERSION = 0.11.0
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter
 
-DOCKERFILEPATH = build
-DOCKERFILE = Dockerfile
-
-GIT_COMMIT = $(shell git rev-parse HEAD)
-DATE = $(shell date -u +"%Y-%m-%dT%H:%M:%SZ")
-
-export DOCKER_BUILDKIT = 1
-
 .PHONY: nginx-prometheus-exporter
 nginx-prometheus-exporter:
-	CGO_ENABLED=0 go build -trimpath -ldflags "-s -w -X main.version=$(VERSION) -X main.commit=$(GIT_COMMIT) -X main.date=$(DATE)" -o nginx-prometheus-exporter
+	CGO_ENABLED=0 go build -trimpath -ldflags "-s -w -X main.version=$(VERSION)" -o nginx-prometheus-exporter
 
 .PHONY: build-goreleaser
 build-goreleaser: ## Build all binaries using GoReleaser
@@ -25,11 +17,11 @@
 
 .PHONY: test
 test:
-	go test ./...
+	go test ./... -race -shuffle=on
 
 .PHONY: container
 container:
-	docker build --build-arg VERSION=$(VERSION) --build-arg GIT_COMMIT=$(GIT_COMMIT) --build-arg DATE=$(DATE) --target container -f $(DOCKERFILEPATH)/$(DOCKERFILE) -t $(PREFIX):$(TAG) .
+	docker build --build-arg VERSION=$(VERSION) --target container -f build/Dockerfile -t $(PREFIX):$(TAG) .
 
 .PHONY: push
 push: container

=== debian/changelog ===
prometheus-nginx-exporter (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Add version restriction for golang-github-nginxinc-nginx-plus-go-client-dev
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Oct 2022 12:01:07 +0000

prometheus-nginx-exporter (0.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * Fix typo in debian/default.

  [ Martina Ferrari ]
  * Update my name and email address.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 23:30:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: prometheus-nginx-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-nginxinc-nginx-plus-go-client-dev,
+               golang-github-nginxinc-nginx-plus-go-client-dev (>= 0.10.0),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BUILDFLAGS := -ldflags "-X main.version=$(DEB_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

## prometheus-nginx-exporter 1.1.0

=== Makefile ===
VERSION = 1.1.0
TAG = $(VERSION)
PREFIX = nginx/nginx-prometheus-exporter

.DEFAULT_GOAL:=help

.PHONY: help
help: Makefile ## Display this help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "; printf "Usage:\n\n    make \033[36m<target>\033[0m [VARIABLE=value...]\n\nTargets:\n\n"}; {printf "    \033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: nginx-prometheus-exporter
nginx-prometheus-exporter: ## Build nginx-prometheus-exporter binary
	CGO_ENABLED=0 go build -trimpath -ldflags "-s -w -X github.com/prometheus/common/version.Version=$(VERSION)" -o nginx-prometheus-exporter

.PHONY: build-goreleaser
build-goreleaser: ## Build all binaries using GoReleaser
	@goreleaser -v || (code=$$?; printf "\033[0;31mError\033[0m: there was a problem with GoReleaser. Follow the docs to install it https://goreleaser.com/install\n"; exit $$code)
	GOPATH=$(shell go env GOPATH) goreleaser build --clean --snapshot

.PHONY: lint
lint: ## Run linter
	docker run --pull always --rm -v $(shell pwd):/nginx-prometheus-exporter -w /nginx-prometheus-exporter -v $(shell go env GOCACHE):/cache/go -e GOCACHE=/cache/go -e GOLANGCI_LINT_CACHE=/cache/go -v $(shell go env GOPATH)/pkg:/go/pkg golangci/golangci-lint:latest golangci-lint --color always run

.PHONY: test
test: ## Run tests
	go test ./... -race -shuffle=on

.PHONY: container
container: ## Build container image
	docker build --build-arg VERSION=$(VERSION) --target container -f build/Dockerfile -t $(PREFIX):$(TAG) .

.PHONY: push
push: container ## Push container image
	docker push $(PREFIX):$(TAG)

.PHONY: deps
deps: ## Add missing and remove unused modules, verify deps and download them to local cache
	@go mod tidy && go mod verify && go mod download

.PHONY: clean
clean: ## Clean up
	-rm -r dist
	-rm nginx-prometheus-exporter

=== debian/changelog ===
prometheus-nginx-exporter (1.1.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:41:00 +1000

prometheus-nginx-exporter (1.1.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:16:36 +1000

prometheus-nginx-exporter (1.1.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:45:40 +0530

prometheus-nginx-exporter (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 14 Jan 2024 20:30:43 +0000

prometheus-nginx-exporter (1.0.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.6.2 (no changes)
  * Add new Build-Depends
    - golang-github-go-kit-log-dev
    - golang-github-prometheus-exporter-toolkit-dev
    - golang-gopkg-alecthomas-kingpin.v2-dev
  * Add new 0001-Revert-alecthomas-kingpin-import-path.patch
  * Bump Build-Depends version constraint for
    golang-github-nginxinc-nginx-plus-go-client-dev (>= 1.2.0)
  * Modernise debian/rules to generate manpage from exporter itself

  [ Guillem Jover ]
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 14 Dec 2023 19:13:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-nginx-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -7,10 +8,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-nginxinc-nginx-plus-go-client-dev (>= 0.10.0),
+               golang-github-go-kit-log-dev,
+               golang-github-nginxinc-nginx-plus-go-client-dev (>= 1.2.0),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-Standards-Version: 4.6.1
+               golang-github-prometheus-exporter-toolkit-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/nginxinc/nginx-prometheus-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-nginx-exporter 1.2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter
 
-.DEFAULT_GOAL:=help
+.DEFAULT_GOAL:=nginx-prometheus-exporter
 
 .PHONY: help
 help: Makefile ## Display this help
@@ -23,7 +23,7 @@
 
 .PHONY: test
 test: ## Run tests
-	go test ./... -race -shuffle=on
+	go test ./... -race -shuffle=on -coverprofile=coverage.txt -covermode=atomic
 
 .PHONY: container
 container: ## Build container image

=== debian/changelog ===
prometheus-nginx-exporter (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 08 Jun 2024 13:14:05 +0000

prometheus-nginx-exporter (1.1.0-2) unstable; urgency=medium

  * Add new 0002-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Mar 2024 02:41:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-nginx-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -10,7 +9,7 @@
                golang-any,
                golang-github-go-kit-log-dev,
                golang-github-nginxinc-nginx-plus-go-client-dev (>= 1.2.0),
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,

## prometheus-nginx-exporter 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.0
+VERSION = 1.3.0
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter

=== debian/changelog ===
prometheus-nginx-exporter (1.3.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 11:05:11 +1000

prometheus-nginx-exporter (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 04 Aug 2024 15:42:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-nginx-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -13,7 +14,7 @@
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git

## prometheus-nginx-exporter 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
-VERSION = 1.3.0
+VERSION = 1.4.0
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter
+# renovate: datasource=github-tags depName=golangci/golangci-lint
+GOLANGCI_LINT_VERSION = v1.63.4
 
 .DEFAULT_GOAL:=nginx-prometheus-exporter
 
@@ -15,11 +17,11 @@
 .PHONY: build-goreleaser
 build-goreleaser: ## Build all binaries using GoReleaser
 	@goreleaser -v || (code=$$?; printf "\033[0;31mError\033[0m: there was a problem with GoReleaser. Follow the docs to install it https://goreleaser.com/install\n"; exit $$code)
-	GOPATH=$(shell go env GOPATH) goreleaser build --clean --snapshot
+	goreleaser build --clean --snapshot
 
 .PHONY: lint
 lint: ## Run linter
-	docker run --pull always --rm -v $(shell pwd):/nginx-prometheus-exporter -w /nginx-prometheus-exporter -v $(shell go env GOCACHE):/cache/go -e GOCACHE=/cache/go -e GOLANGCI_LINT_CACHE=/cache/go -v $(shell go env GOPATH)/pkg:/go/pkg golangci/golangci-lint:latest golangci-lint --color always run
+	go run github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION) run --fix
 
 .PHONY: test
 test: ## Run tests

=== debian/changelog ===
prometheus-nginx-exporter (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Update upstream github URLs (github.com/nginxinc -> github.com/nginx)
  * Refresh patches
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 2.2.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 12:32:53 +0000

prometheus-nginx-exporter (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends
    - drop unused golang-github-go-kit-log-dev
    - bump golang-github-prometheus-client-golang-dev version constraint
      (>= 2.1.0)
    - bump golang-any version constraint (>= 2:1.21~) due to use of log/slog
      package
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 05 Dec 2024 22:12:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: prometheus-nginx-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
-               golang-github-go-kit-log-dev,
-               golang-github-nginxinc-nginx-plus-go-client-dev (>= 1.2.0),
+               golang-any (>= 2:1.21~),
+               golang-github-nginxinc-nginx-plus-go-client-dev (>= 2.2.0),
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
@@ -18,8 +16,8 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git
-Homepage: https://github.com/nginxinc/nginx-prometheus-exporter
-XS-Go-Import-Path: github.com/nginxinc/nginx-prometheus-exporter
+Homepage: https://github.com/nginx/nginx-prometheus-exporter
+XS-Go-Import-Path: github.com/nginx/nginx-prometheus-exporter
 
 Package: prometheus-nginx-exporter
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/nginx/nginx-prometheus-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-nginx-exporter 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-VERSION = 1.4.0
+VERSION = 1.4.2
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter
 # renovate: datasource=github-tags depName=golangci/golangci-lint
-GOLANGCI_LINT_VERSION = v1.63.4
+GOLANGCI_LINT_VERSION = v2.1.5
 
 .DEFAULT_GOAL:=nginx-prometheus-exporter
 
@@ -21,7 +21,7 @@
 
 .PHONY: lint
 lint: ## Run linter
-	go run github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION) run --fix
+	go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION) run --fix
 
 .PHONY: test
 test: ## Run tests

=== debian/changelog ===
prometheus-nginx-exporter (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 16:52:31 +0000

=== debian/control ===
Source: prometheus-nginx-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.21~),
               golang-github-nginxinc-nginx-plus-go-client-dev (>= 2.2.0),
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nginx-exporter.git
Homepage: https://github.com/nginx/nginx-prometheus-exporter
XS-Go-Import-Path: github.com/nginx/nginx-prometheus-exporter

Package: prometheus-nginx-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for NGINX webservers
 Official Prometheus exporter for NGINX, developed by NGINX, Inc. This exporter
 supports the NGINX stub_status handler, as well as the NGINX Plus API, and
 exposes metrics such as number of current requests and total requests served.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/nginx-prometheus-exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for NGINX web server metrics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/nginx/nginx-prometheus-exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-nginx-exporter 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-VERSION = 1.4.2
+VERSION = 1.5.1
 TAG = $(VERSION)
 PREFIX = nginx/nginx-prometheus-exporter
 # renovate: datasource=github-tags depName=golangci/golangci-lint
-GOLANGCI_LINT_VERSION = v2.1.5
+GOLANGCI_LINT_VERSION = v2.5.0
 
 .DEFAULT_GOAL:=nginx-prometheus-exporter

=== debian/changelog ===
prometheus-nginx-exporter (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends
    - bump golang-github-prometheus-client-golang-dev version constraint
      (>= 3.0.1)
    - add golang-github-pires-go-proxyproto-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 30 Dec 2025 11:48:04 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.21~),
-               golang-github-nginxinc-nginx-plus-go-client-dev (>= 2.2.0),
+               golang-github-nginxinc-nginx-plus-go-client-dev (>= 3.0.1),
+               golang-github-pires-go-proxyproto-dev,
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
